js Плагин jQuery Migrate 1.1.1 для перехода на JQuery 1.9.x 

Дата публикации  Дата изменения25.01.15  КомментарииНет   Просмотры11610

Плагин может использоваться для миграции на версию 1.9.х, начиная с версии 1.6.4. В отладочном, т.е. полном варианте, выводит все выявленные несовместимости. В минимальном (min) варианте сообщения не выводит и позволяет использовать новую версию, давая возможность без нарушения функционала постепенно привести код скриптов в соответствие с требованиями новой версии JQuery.

Пример использования:

Между <head></head>:

<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/jquery-migrate-1.1.1.js"></script>

В этом варианте для разработчиков сообщения появятся в консоли браузера. Начинаются с JQMIGRATE, так что их легко обнаружить. Подробно описывают суть проблем и как они могут быть устранены.

Во втором варианте нужно использовать версию "мини" и все поправки плагина останутся, но сообщения выводиться не будут и сайт или приложение сохранит работоспособность:

<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script src="http://code.jquery.com/jquery-migrate-1.1.1.min.js"></script>

Кроме того, этот плагин может быть включен после любой присутствующей версии Jquery, начиная с 1.6.4, с целью выявления подлежащих устранению несовместимостей при принятии решения об обновлении до актуальной версии JQuery.

 Источник 

Плагин, версия полная и min:

  Размер:  8,73kB | Изменен: 23.02.13 | Загрузок: 271

Jquery 1.9.1, версия полная и min:

  Размер:  109,69kB | Изменен: 14.02.13 | Загрузок: 161

Бесплатные курсы

Категории

Теги: , ,

Оцените материал:

Рейтинг: 6.8/10 (6)


КомментарииКомментарии:

Нет комментариев к этой статье.


Поля, обозначенные как *, обязательны.





Максимальная длина сообщения 900 символов. Осталось   символов

 

Старые →← Новые